
/*************************************************************************************************
MatrixKeyboard Keil uVision Plugin

Copyright (C) 2010 Ezequiel Gastn Miravalles

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************************************/

/*************************************************************************************************
Software: MatrixKeyboard Keil uVision Plugin
Author: Ezequiel Gastn Miravalles
Website: http://www.neoegm.com/software/keil-plugins/matrix-keyboard/
License: GNU GPL v3 (attached, read above)
Notes: AGSI library code adapted from Keil supplied samples
*************************************************************************************************/

#pragma once

#include "AGSI_ext.h"

// CMatrixKeyboardDlg dialog

#define CANT_BUTTONS	12

class CMatrixKeyboardDlg : public CDialog
{
// Construction
public:
	CMatrixKeyboardDlg::CMatrixKeyboardDlg (AGSIMENU *pMen, CWnd *pWnd);  // new constructor

	void Update(void); //Update dialog function

	// Dialog Data
	AGSIMENU *pM;

public:
	//CMatrixKeyboardDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CMatrixKeyboardDlg();

// Dialog Data
	enum { IDD = IDD_MATRIX_KEYBOARD };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
//	afx_msg void OnBnClickedButton1();
protected:
	virtual void PostNcDestroy();
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnClose();

	virtual void OnCancel();
	virtual void OnOK();
	void GetButtonStates(BOOL pButtons[]);
	BOOL m_pButtons[12];
	afx_msg void OnBnClickedCheck1();
};

extern AGSIMENU PeriMenu;  // Peripheral Dialog
extern BYTE initflag;

extern CMatrixKeyboardDlg* pCPeriDialog;

extern BOOL pButtons[];